[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.FieldName

Name of the field

## Declaration

Source position: db.pas line 449

`published property TField.FieldName : string read FFieldName write FFieldName;`

## Description

FieldName is the name of the field as it is defined in the underlying data structures (for instance the name of the field in a SQL table, DBAse file, or the alias of the field if it was aliased in a SQL SELECT statement. It does not always equal the Name property, which is the name of the TField component instance. The Name property will generally equal the name of the dataset appended with the value of the FieldName property.

## See also

TFieldDef.Name
TField.Size |  | Logical size of the field
TField.DataType |  | The data type of the field.